Show / Hide Table of Contents

# Class OpenIddictValidationDataProtectionOptions

Provides various settings needed to configure the OpenIddict ASP.NET Core Data Protection validation integration.

##### Inheritance

System.Object
OpenIddictValidationDataProtectionOptions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Validation.DataProtection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationDataProtectionOptions

### Properties

#### DataProtectionProvider

Gets or sets the data protection provider used to create the default data protectors used by the OpenIddict Data Protection validation services. When this property is set to `null`, the data protection provider is directly retrieved from the dependency injection container.

##### Declaration

    public IDataProtectionProvider DataProtectionProvider { get; set; }

##### Property Value

Type | Description
--- | ---
IDataProtectionProvider |

#### Formatter

Gets or sets the formatter used to read Data Protection tokens.

##### Declaration

    public IOpenIddictValidationDataProtectionFormatter Formatter { get; set; }

##### Property Value

Type | Description
--- | ---
IOpenIddictValidationDataProtectionFormatter |